> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runonatlas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom pricing unit usage

> Get custom pricing unit usage for a customer by external ID (e.g. the customer ID in your system).



## OpenAPI

````yaml https://platform.runonatlas.com/external/schema get /external/customers/external-id/{externalId}/customPricingUnits/{customPricingUnitId}/usage
openapi: 3.0.0
info:
  title: Atlas API
  version: 1.0.0
servers:
  - url: https://platform.runonatlas.com
security: []
paths:
  /external/customers/external-id/{externalId}/customPricingUnits/{customPricingUnitId}/usage:
    get:
      tags:
        - Customers
      summary: Get custom pricing unit usage
      description: >-
        Get custom pricing unit usage for a customer by external ID (e.g. the
        customer ID in your system).
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              The external ID of the customer (e.g. the customer ID in your
              system)
            example: external-customer-id-123
          required: true
          description: >-
            The external ID of the customer (e.g. the customer ID in your
            system)
          name: externalId
          in: path
        - schema:
            type: string
            description: The ID of the custom pricing unit
            example: custom-pricing-unit-id-123
          required: true
          description: The ID of the custom pricing unit
          name: customPricingUnitId
          in: path
      responses:
        '200':
          description: The custom pricing unit usage for the customer.
          content:
            application/json:
              schema:
                type: object
                properties:
                  customPricingUnitId:
                    type: string
                    description: The ID of the custom pricing unit
                    example: atlas-internal-custom-pricing-unit-id-123
                  displayName:
                    type: string
                    description: The display name of the custom pricing unit
                    example: API Calls
                  displayNameSingular:
                    type: string
                    description: The display name singular of the custom pricing unit
                    example: API Call
                  shortName:
                    type: string
                    nullable: true
                    description: The short name of the custom pricing unit
                    example: calls
                  totalAllocated:
                    type: number
                    description: The total allocated amount of the custom pricing unit
                    example: 1000
                  totalUsed:
                    type: number
                    description: The total used amount of the custom pricing unit
                    example: 100
                  remaining:
                    type: number
                    description: The remaining amount of the custom pricing unit
                    example: 900
                  nextExpiring:
                    type: object
                    nullable: true
                    properties:
                      amountRemaining:
                        type: number
                        description: >-
                          The amount remaining of the next expiring allocation
                          block
                        example: 100
                      expiration:
                        type: string
                        format: date
                        description: >-
                          The expiration date of the next expiring allocation
                          block
                        example: '2025-01-01T00:00:00.000Z'
                    required:
                      - amountRemaining
                      - expiration
                    description: The next expiring allocation block
                required:
                  - customPricingUnitId
                  - displayName
                  - displayNameSingular
                  - shortName
                  - totalAllocated
                  - totalUsed
                  - remaining
                  - nextExpiring
                additionalProperties: false
                description: >-
                  The usage and amount remaining for all custom pricing units
                  this customer has access to for the current billing period
        '401':
          description: Invalid API key provided.
        '404':
          description: Customer not found or custom pricing unit not found.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        You can obtain this key from the Atlas dashboard. It must be of type
        `secret`

````